let
  #pinned = import ./lib/vpsadminos/pinned.nix;
  pinned = import ./lib/vpsadminos/local.nix;
in
{
  network.description = "testish infrastructure";
  
  vosa =
    #{ config, pkgs, lib, ...}:
    let
      osCfg = (pinned.vpsadminos { configuration = ./machines/vosa/configuration.nix; }).config;
      nixopsCfg = {
        deployment.targetHost = "192.168.2.106";
        environment.checkConfigurationOptions = true;
      };
    in
      osCfg // nixopsCfg;

  # vosa =
  #   (pinned.vpsadminos { configuration = ./machines/vosa/configuration.nix; }).config;
}
